Bug 184069 - Internal Compiler Error
Internal Compiler Error
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2006-03-05 16:19 EST by Frank Chiulli
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.1.0-15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-12 05:17:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Preprocesed source (3.57 MB, text/plain)
2006-03-05 16:19 EST, Frank Chiulli
no flags Details

  None (edit)
Description Frank Chiulli 2006-03-05 16:19:08 EST
Description of problem:
Internal compiler error: : in comptypes, at cp/typeck.c:948

Version-Release number of selected component (if applicable):
g++ --version
g++ (GCC) 4.0.2 20051125 (Red Hat 4.0.2-8)

How reproducible:
Repeat make step below.

Steps to Reproduce:
1. Obtain OpenOffice code from CVS.
2. /autogen.sh --disable-kde --with-distro=SUSE-9.3
3. ./download
4. make
Actual results:
Making: ../../../unxlngi6.pro/slo/unodraw.obj
g++ -Wreturn-type -fmessage-length=0 -c -I.  -I. -I../inc -I../../../inc
-I../../../unx/inc -I../../../unxlngi6.pro/inc -I.
-I/opt/jdk1.5.0_06/include -I/opt/jdk1.5.0_06/include/linux
-I/opt/jdk1.5.0_06/include/native_threads/include -I/usr/X11R6/include     -I.
-I../../../res -I. -Os -fno-strict-aliasing -Wuninitialized  
-fvisibility=hidden -pipe -mtune=pentiumpro -Wno-ctor-dtor-privacy
-fvisibility-inlines-hidden -fexceptions -fno-enforce-eh-specs   -fpic -DLINUX
-D_DLL_  -DMULTITHREAD  -o ../../../unxlngi6.pro/slo/unodraw.o
internal compiler error: in comptypes, at cp/typeck.c:948
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccCUPLTr.out file, please attach this to
your bugreport.
dmake:  Error code 1, while making '../../../unxlngi6.pro/slo/unodraw.obj'
'---* tg_merge.mk *---'
dmake:  Error code 255, while making 'do_it_exceptions'
'---* tg_merge.mk *---'

ERROR: Error 65280 occurred while making
make: *** [stamp/build] Error 1

Expected results:
Module compiles successfully.

Additional info:
I have repeated this problem 3 times.  I have rebooted at least once.
Comment 1 Frank Chiulli 2006-03-05 16:19:09 EST
Created attachment 125683 [details]
Preprocesed source
Comment 2 Jakub Jelinek 2006-05-12 05:17:09 EDT
Compiles fine with G++ 4.1.0-15.

Note You need to log in before you can comment on or make changes to this bug.